{"openapi":"3.1.0","info":{"title":"Lingopal API v1","description":"Lingopal v1 API.","version":"v1"},"servers":[{"url":"/","description":"Current API origin."}],"paths":{"/v1/videos/":{"get":{"tags":["videos"],"summary":"Get Videos List","description":"Get list of videos uploaded by the user","operationId":"get_videos_list_v1_videos__get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/MediaTranslationResponse"},"type":"array","title":"Response Get Videos List V1 Videos  Get"}}}}},"security":[{"APIKeyHeader":[]}]},"post":{"tags":["videos"],"summary":"Upload Video","description":"**Upload Video with File or URL**\n\nThis endpoint allows you to upload a video for processing, and you can provide the following parameters:\n\n- **name**: Provide a unique name for the video.\n\n- **languages**: Specify a comma-separated list of locales, for example, \"**en-US,es-US,fr-FR**\".\n\n- **burn_subtitles**: You can choose to burn subtitles in the translated video.\n\n- **burn_subtitles_on_source**: You can choose to burn subtitles on the source video.\n\n- **remove_background_audio**: You can choose to remove the background audio from the video.\n\n- **source_url**: Provide a URL to the video file. Supported sources include direct video URLs, Vimeo, Google Drive, and presigned S3 URLs. YouTube URLs are not supported.\n\n- **file**: Upload the video file here. Please note that this will take precedence over the source URL.\n\n- **subtitles_file_urls**: If you have subtitles files for the video, provide the URLs here. When **is_source_srt** is false, the number of URLs should match the number of languages. When **is_source_srt** is true, exactly one URL is allowed and it will be treated as the source-language subtitles.\n\n- **prepend_ai_warning**:  If you want to prepend an AI warning to the audio.\n\n- **skip_translate**: If you want to skip the translation.\n\n- **enhance**: <ins>**Required for multi-language**</ins><br/> If you want to enhance the translation.\n\n- **context_for_translation**: If you want to provide a context for the translation.\n\n- **experimental_force_accent**: If you want to force the accent for the translation.\n\nIf the file size exceeds 1GB, it's recommended to use the source_url option. Additionally, for larger files, you can utilize the [uploads API](https://api.lingopal.ai/#/uploads/upload_files_v1_uploads__get) to upload the video and obtain a generated source_url for use in this endpoint.","operationId":"upload_video_v1_videos__post","requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_upload_video_v1_videos__post"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MediaTranslationResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyHeader":[]}]}},"/v1/videos/{video_id}/":{"get":{"tags":["videos"],"summary":"Get Video By Id","description":"Get video by id","operationId":"get_video_by_id_v1_videos__video_id___get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MediaTranslationResponse"}}}},"404":{"content":{"application/json":{"example":{"detail":"Video Not Found"}}},"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/videos/{video_id}/download/{file_type}":{"get":{"tags":["videos"],"summary":"Download File","operationId":"download_file_v1_videos__video_id__download__file_type__get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}},{"name":"file_type","in":"path","required":true,"schema":{"enum":["mp4","mp3","wav","srt","vtt"],"type":"string","title":"File Type"}},{"name":"burn_subtitles_on_source","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Burn Subtitles On Source"}},{"name":"language","in":"query","required":false,"schema":{"type":"string","default":"source","title":"Language"}}],"responses":{"200":{"description":"Successful Response","content":{"video/mp4":{},"audio/mpeg":{},"audio/wav":{},"text/plain":{},"application/msword":{}}},"404":{"content":{"application/json":{"example":{"detail":"File Not Found"}}},"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/videos/{video_id}/preview/{file_type}":{"get":{"tags":["videos"],"summary":"Preview Subtitle File","operationId":"preview_subtitle_file_v1_videos__video_id__preview__file_type__get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}},{"name":"file_type","in":"path","required":true,"schema":{"enum":["srt","vtt"],"type":"string","title":"File Type"}},{"name":"language","in":"query","required":false,"schema":{"type":"string","default":"source","title":"Language"}}],"responses":{"200":{"description":"Successful Response","content":{"text/plain":{},"application/msword":{}}},"404":{"content":{"application/json":{"example":{"detail":"File Not Found"}}},"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["videos"],"summary":"Upload Subtitle File","operationId":"upload_subtitle_file_v1_videos__video_id__preview__file_type__put","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}},{"name":"file_type","in":"path","required":true,"schema":{"enum":["srt","vtt"],"type":"string","title":"File Type"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_upload_subtitle_file_v1_videos__video_id__preview__file_type__put"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{},"example":{"message":"File uploaded successfully"}}}},"400":{"content":{"application/json":{"example":{"detail":"Unsupported file type for upload"}}},"description":"Bad Request"},"404":{"content":{"application/json":{"example":{"detail":"Video Not Found"}}},"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/videos/{media_id}/{language}/republish":{"post":{"tags":["videos"],"summary":"Republish Media","operationId":"republish_media_v1_videos__media_id___language__republish_post","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"language","in":"path","required":true,"schema":{"type":"string","title":"Language"}},{"name":"media_id","in":"path","required":true,"schema":{"type":"string","title":"Media Id"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Body_republish_media_v1_videos__media_id___language__republish_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/subtitles/":{"get":{"tags":["subtitles"],"summary":"Get Subtitles List","description":"Get list of videos uploaded by the user for subtitles","operationId":"get_subtitles_list_v1_subtitles__get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/MediaTranslationResponse"},"type":"array","title":"Response Get Subtitles List V1 Subtitles  Get"}}}}},"security":[{"APIKeyHeader":[]}]},"post":{"tags":["subtitles"],"summary":"Generate Subtitles From Video","description":"Upload video to generate subtitles:\n\n- **name**: Provide a name for the subtitles. Default is name of the media.\n- **file**: Upload the video file here. **Required** when using API.\n- **languages**: Provide a comma-separated list of locales, for example, \"**en-US,es-US,fr-FR**\"\n- **word_count_per_line**: Provide the word count per line for the subtitles. Default is 7.","operationId":"generate_subtitles_from_video_v1_subtitles__post","requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_generate_subtitles_from_video_v1_subtitles__post"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MediaTranslationResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyHeader":[]}]}},"/v1/subtitles/{video_id}/":{"get":{"tags":["subtitles"],"summary":"Get Subtitles By Id","description":"Get video by id","operationId":"get_subtitles_by_id_v1_subtitles__video_id___get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MediaTranslationResponse"}}}},"404":{"content":{"application/json":{"example":{"detail":"Video Not Found"}}},"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/subtitles/{video_id}/download/{file_type}":{"get":{"tags":["subtitles"],"summary":"Download Files","description":"Download files by video id\n\n- **video_id**: Specify the unique identifier for the video\n- **file_type**: \"srt\" or \"vtt\"\n- **language**: Provide the language locales, for example, \"en-US\" or \"fr-FR\"","operationId":"download_files_v1_subtitles__video_id__download__file_type__get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}},{"name":"file_type","in":"path","required":true,"schema":{"enum":["srt","vtt"],"type":"string","title":"File Type"}},{"name":"language","in":"query","required":false,"schema":{"enum":["source","af","am-ET","ak","af-ZA","am","arb","as","ay","az","az-AZ","be","bg","bho","bm","bn","bn-IN","bs","bs-BA","ca","ca-ES","ceb","ckb","cmn-CN","co","cs","cy","cy-GB","da-DK","de-DE","doi","dv","ee","el","en-US","eo","es-US","et","et-EE","eu","fa","fa-IR","fi-FI","fil","fr-FR","fy","ga","ga-IE","gd","gl","gl-ES","gn","gom","gu","gu-IN","ha","he-IL","haw","he","hi-IN","hmn","hr","ht","ht-HT","hu","hu-HU","hy","id","ig","ilo","is","is-IS","it-IT","iw","ja-JP","jv","jv-ID","jw","ka","ka-GE","kk","kk-KZ","km","km-KH","kn","kn-IN","ko-KR","kri","ku","ky","la","lb","lg","ln","lo","lo-LA","lt","lt-LT","lus","lv","lv-LV","mai","mg","mi","mk","mk-MK","ml","mn","mn-MN","ml-IN","mni-Mtei","mr","mr-IN","ms","mt","mt-MT","my","ne","ne-NP","nl-NL","no","no-NO","nso","ny","om","or","pa","ps-AF","pa-IN","pl-PL","ps","pt","pt-BR","qu","ro-RO","ru-RU","ru","rw","sa","sd","si","si-LK","sk","sl","sl-SI","sm","sn","so","so-SO","sq-AL","sq","sr","sr-RS","st","su","su-ID","sv-SE","sw-KE","sw-TZ","sw","ta","te","te-IN","tg","th","th-TH","ti","tk","tr-TR","ts","tt","ug","uk","ur","ur-PK","ur-IN","uz","uz-UZ","vi","vi-VN","xh","yi","yo","zh","zh-CN","zh-TW","zh-HK","zu","zu-ZA"],"type":"string","default":"source","title":"Language"}}],"responses":{"200":{"description":"Successful Response","content":{"text/plain":{},"application/msword":{}}},"404":{"content":{"application/json":{"example":{"detail":"Video Not Found"}}},"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/glossary/":{"get":{"tags":["glossary"],"summary":"Get Glossary Items","operationId":"get_glossary_items_v1_glossary__get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"language_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Language Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["glossary"],"summary":"Add Glossary Item","operationId":"add_glossary_item_v1_glossary__put","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"language_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Language Id"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Body_add_glossary_item_v1_glossary__put"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["glossary"],"summary":"Delete Glossary Items","operationId":"delete_glossary_items_v1_glossary__delete","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"language_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Language Id"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Body_delete_glossary_items_v1_glossary__delete"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/uploads/":{"get":{"tags":["uploads"],"summary":"Upload Files","description":"Get upload URL\n\nThe generated URL can be used like this:\n\ncurl --location --request PUT '{upload_url}' --header 'Content-Type: video/mp4' --data '@/path/to/file'","operationId":"upload_files_v1_uploads__get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"file_ext","in":"query","required":false,"schema":{"type":"string","default":"mp4","title":"File Ext"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetUploadUrlResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/transcript/{media_id}/words":{"get":{"tags":["transcript"],"summary":"Get Word Level Transcript","operationId":"get_word_level_transcript_v1_transcript__media_id__words_get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"media_id","in":"path","required":true,"schema":{"type":"string","title":"Media Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"424":{"content":{"application/json":{"example":{"detail":"Word Level Transcript Not Supported by this media"}}},"description":"Failed Dependency"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/transcript/{media_id}/{locale}":{"get":{"tags":["transcript"],"summary":"Get Transcript","operationId":"get_transcript_v1_transcript__media_id___locale__get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"locale","in":"path","required":true,"schema":{"type":"string","title":"Locale"}},{"name":"media_id","in":"path","required":true,"schema":{"type":"string","title":"Media Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TranscriptSegmentRead"},"title":"Response Get Transcript V1 Transcript  Media Id   Locale  Get"}}}},"404":{"content":{"application/json":{"example":{"detail":"Transcript Not Found"}}},"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/transcript/{media_id}/{locale}/download":{"get":{"tags":["transcript"],"summary":"Download Transcript","operationId":"download_transcript_v1_transcript__media_id___locale__download_get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"media_id","in":"path","required":true,"schema":{"type":"string","title":"Media Id"}},{"name":"locale","in":"path","required":true,"schema":{"type":"string","title":"Locale"}},{"name":"file_name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name"}},{"name":"file_format","in":"query","required":false,"schema":{"enum":["word","simple","summarized","word-grouped",null],"title":"File Format"}},{"name":"emotions","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Emotions"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"404":{"content":{"application/json":{"example":{"detail":"Transcript Not Found"}}},"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/transcript/{media_id}/regenerate_media_segment":{"patch":{"tags":["transcript"],"summary":"Regenerate Media Segment","operationId":"regenerate_media_segment_v1_transcript__media_id__regenerate_media_segment_patch","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"media_id","in":"path","required":true,"schema":{"type":"string","title":"Media Id"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Body_regenerate_media_segment_v1_transcript__media_id__regenerate_media_segment_patch"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/transcript/{media_id}/{locale}/download/subtitles":{"get":{"tags":["transcript"],"summary":"Download Subtitles","description":"Download subtitles in SRT or VTT format for a specific media and locale.\n\nArgs:\n    media_id: The ID of the media\n    locale: The language locale (e.g., 'en', 'es', 'fr')\n    file_type: The subtitle format - either 'srt' or 'vtt'\n    file_name: Optional custom filename (without extension)\n\nReturns:\n    Response with subtitle file content","operationId":"download_subtitles_v1_transcript__media_id___locale__download_subtitles_get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"locale","in":"path","required":true,"schema":{"type":"string","title":"Locale"}},{"name":"media_id","in":"path","required":true,"schema":{"type":"string","title":"Media Id"}},{"name":"file_type","in":"query","required":false,"schema":{"enum":["srt","vtt"],"type":"string","default":"srt","title":"File Type"}},{"name":"file_name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"404":{"content":{"application/json":{"example":{"detail":"Transcript Not Found"}}},"description":"Not Found"},"400":{"content":{"application/json":{"example":{"detail":"Invalid file type. Must be 'srt' or 'vtt'"}}},"description":"Bad Request"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/translate/":{"post":{"tags":["translate"],"summary":"Translate Text","operationId":"translate_text_v1_translate__post","requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Body_translate_text_v1_translate__post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyHeader":[]}]}},"/v1/translate/translate_document":{"post":{"tags":["translate"],"summary":"Translate Documents","description":"Translate a provided document in the specified languages:\n\n- **name**: Provide a name for the generated document.\n- **file**: Upload the video file here.\n- **source_url**: **DO NOT USE**. The pre-signed URL link. To be used only by the frontend.\n- **languages**: Provide a comma-separated list of locales, for example, \"**en-US, es-US, fr-FR**\".","operationId":"translate_documents_v1_translate_translate_document_post","responses":{"301":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"deprecated":true}},"/v1/translate/translate-text-with-context":{"post":{"tags":["Text to Text Translation with Context"],"summary":"Translate text with context awareness","description":"Translate text with additional context to ensure accurate translation and avoid ambiguity for everyone to be able to understand.","operationId":"translate_text_with_context_endpoint_v1_translate_translate_text_with_context_post","requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Body_translate_text_with_context_endpoint_v1_translate_translate_text_with_context_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"string","title":"Response Translate Text With Context Endpoint V1 Translate Translate Text With Context Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyHeader":[]}]}},"/v1/document":{"get":{"tags":["document"],"summary":"Get All Documents","description":"Get all documents for the current user or organization.\n\n- **is_organization**: Whether to fetch documents for an organization.\n    - If True, the documents will be fetched for the organization.\n    - If False, the documents will be fetched for the current user.\n\nReturns:\n    DocumentList: A list of document information.","operationId":"get_all_documents_v1_document_get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"is_organization","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Is Organization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["document"],"summary":"Upload Document","description":"Upload a document to be translated.\n\n- **languages**: The languages to translate the document into.\n- **context_for_translation**: The context for the translation.","operationId":"upload_document_v1_document_post","security":[{"APIKeyHeader":[]}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_upload_document_v1_document_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/document/{document_id}":{"get":{"tags":["document"],"summary":"Get Document By Id","description":"Get a document by its ID.\n\n- **document_id**: The ID of the document to fetch.\n\nReturns:\n    Document: The document information.","operationId":"get_document_by_id_v1_document__document_id__get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"document_id","in":"path","required":true,"schema":{"type":"string","title":"Document Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/document/{document_id}/download":{"get":{"tags":["document"],"summary":"Download Document","description":"Download a document file.\n\n- **document_id**: The id of the document to download.\n- **locale**: The locale of the document to download. If not provided, the default locale will be used.\n\nReturns:\n    Response: The document file.","operationId":"download_document_v1_document__document_id__download_get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"document_id","in":"path","required":true,"schema":{"type":"string","title":"Document Id"}},{"name":"locale","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Locale"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"Body_add_glossary_item_v1_glossary__put":{"properties":{"items":{"type":"string","title":"Items"}},"type":"object","required":["items"],"title":"Body_add_glossary_item_v1_glossary__put"},"Body_delete_glossary_items_v1_glossary__delete":{"properties":{"items":{"type":"string","title":"Items"}},"type":"object","required":["items"],"title":"Body_delete_glossary_items_v1_glossary__delete"},"Body_generate_subtitles_from_video_v1_subtitles__post":{"properties":{"name":{"type":"string","title":"Name","default":""},"word_count_per_line":{"type":"integer","title":"Word Count Per Line","default":7},"languages":{"type":"string","title":"Languages","default":""},"file":{"anyOf":[{"type":"string","contentMediaType":"application/octet-stream"},{"type":"null"}],"title":"File"}},"type":"object","title":"Body_generate_subtitles_from_video_v1_subtitles__post"},"Body_regenerate_media_segment_v1_transcript__media_id__regenerate_media_segment_patch":{"properties":{"segment_id":{"type":"string","title":"Segment Id"},"locale":{"type":"string","title":"Locale"}},"type":"object","required":["segment_id","locale"],"title":"Body_regenerate_media_segment_v1_transcript__media_id__regenerate_media_segment_patch"},"Body_republish_media_v1_videos__media_id___language__republish_post":{"properties":{"remove_background_audio":{"type":"boolean","title":"Remove Background Audio","default":false},"prepend_ai_warning":{"type":"boolean","title":"Prepend Ai Warning","default":false},"burn_subtitles_on_source":{"type":"boolean","title":"Burn Subtitles On Source","default":false},"word_count_per_line":{"type":"integer","title":"Word Count Per Line","default":7},"background_audio_volume":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Background Audio Volume"}},"type":"object","title":"Body_republish_media_v1_videos__media_id___language__republish_post"},"Body_translate_text_v1_translate__post":{"properties":{"content":{"type":"string","title":"Content"},"languages":{"type":"string","title":"Languages","default":""}},"type":"object","required":["content"],"title":"Body_translate_text_v1_translate__post"},"Body_translate_text_with_context_endpoint_v1_translate_translate_text_with_context_post":{"properties":{"text":{"type":"string","title":"Text"},"context":{"type":"string","title":"Context"},"source_language":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Language"},"target_language":{"type":"string","title":"Target Language","default":"en-US"}},"type":"object","required":["text","context"],"title":"Body_translate_text_with_context_endpoint_v1_translate_translate_text_with_context_post"},"Body_upload_document_v1_document_post":{"properties":{"context_for_translation":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Context For Translation","default":""},"file":{"anyOf":[{"type":"string","contentMediaType":"application/octet-stream"},{"type":"null"}],"title":"File"},"source_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Url"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"languages":{"type":"string","title":"Languages","default":""}},"type":"object","title":"Body_upload_document_v1_document_post"},"Body_upload_subtitle_file_v1_videos__video_id__preview__file_type__put":{"properties":{"file":{"type":"string","contentMediaType":"application/octet-stream","title":"File"},"language":{"type":"string","title":"Language","default":"source"}},"type":"object","required":["file"],"title":"Body_upload_subtitle_file_v1_videos__video_id__preview__file_type__put"},"Body_upload_video_v1_videos__post":{"properties":{"name":{"type":"string","title":"Name"},"languages":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Languages"},"remove_background_audio":{"type":"boolean","title":"Remove Background Audio","default":false},"number_of_speakers":{"type":"integer","title":"Number Of Speakers","default":0},"burn_subtitles":{"type":"boolean","title":"Burn Subtitles","default":false},"burn_subtitles_on_source":{"type":"boolean","title":"Burn Subtitles On Source","default":false},"source_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Url"},"subtitles_file_urls":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Subtitles File Urls"},"is_source_srt":{"type":"boolean","title":"Is Source Srt","default":false},"adjust_video_length":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Adjust Video Length","default":false},"prepend_ai_warning":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Prepend Ai Warning","default":false},"skip_translate":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Skip Translate","default":false},"enhance":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Enhance","default":false},"context_for_translation":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Context For Translation"},"experimental_force_accent":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Experimental Force Accent","default":false},"use_ng_pipeline":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Use Ng Pipeline","default":false},"clone_voice":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Clone Voice","default":false},"word_count_per_line":{"type":"integer","title":"Word Count Per Line","default":7},"file":{"anyOf":[{"type":"string","contentMediaType":"application/octet-stream"},{"type":"null"}],"title":"File"}},"type":"object","required":["name"],"title":"Body_upload_video_v1_videos__post"},"GetUploadUrlResponse":{"properties":{"upload_url":{"type":"string","title":"Upload Url"},"source_url":{"type":"string","title":"Source Url"}},"type":"object","required":["upload_url","source_url"],"title":"GetUploadUrlResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"LanguageInfo":{"properties":{"locale":{"type":"string","title":"Locale"},"language":{"type":"string","title":"Language"}},"type":"object","required":["locale","language"],"title":"LanguageInfo"},"MediaMetadata":{"properties":{"duration":{"type":"number","title":"Duration"}},"type":"object","required":["duration"],"title":"MediaMetadata"},"MediaTranslationResponse":{"properties":{"metadata":{"$ref":"#/components/schemas/MediaMetadata"},"message":{"type":"string","title":"Message"},"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"created_on":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created On"},"languages":{"items":{"$ref":"#/components/schemas/TranslationLanguage"},"type":"array","title":"Languages"}},"type":"object","required":["message","id","name","created_on","languages"],"title":"MediaTranslationResponse"},"TranscriptSegmentRead":{"properties":{"segment_id":{"type":"string","title":"Segment Id"},"content":{"type":"string","title":"Content"},"raw_content":{"type":"string","title":"Raw Content"},"start_time":{"type":"string","pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","title":"Start Time"},"end_time":{"type":"string","pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","title":"End Time"},"speaker":{"type":"string","title":"Speaker"},"sex":{"type":"string","title":"Sex"},"segment_confidence":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Segment Confidence"}},"type":"object","required":["segment_id","content","raw_content","start_time","end_time","speaker","sex"],"title":"TranscriptSegmentRead"},"TranslationLanguage":{"properties":{"status":{"$ref":"#/components/schemas/TranslationStatus"},"language":{"$ref":"#/components/schemas/LanguageInfo"}},"type":"object","required":["status","language"],"title":"TranslationLanguage"},"TranslationStatus":{"type":"string","enum":["Completed","Processing","Failed","Pending"],"title":"TranslationStatus"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"X-API-Key"}}}}